VICE 3.2 (Flatpak)

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Janni
Level 1
Level 1
Posts: 15
Joined: Fri Sep 11, 2015 4:36 pm
Location: Norway

VICE 3.2 (Flatpak)

Post by Janni » Sat Aug 11, 2018 8:15 am

In the software repository there is a package called net.sf.VICE (Vice 3.2), a Commodore 64 Emulator.
When trying to save the config I get a error msg. saying "Failed to save settings to default file."

Does anybody have a clue why ? Could it be access problems ?

Looks like it is trying to save to : /home/me/.config/vice/vicerc

Thanks,
Last edited by Janni on Sun Aug 12, 2018 7:19 am, edited 1 time in total.

User avatar
catweazel
Level 17
Level 17
Posts: 7770
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: VICE 3.2 (Flatpak)

Post by catweazel » Sat Aug 11, 2018 8:21 am

Does the directory /home/me/.config/vice/ exist?
¡uʍop ǝpısdn sı buıɥʇʎɹǝʌǝ os ɐıןɐɹʇsnɐ ɯoɹɟ ɯ,ı

Janni
Level 1
Level 1
Posts: 15
Joined: Fri Sep 11, 2015 4:36 pm
Location: Norway

Re: VICE 3.2 (Flatpak)

Post by Janni » Sun Aug 12, 2018 3:11 am

catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists

User avatar
catweazel
Level 17
Level 17
Posts: 7770
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: VICE 3.2 (Flatpak)

Post by catweazel » Sun Aug 12, 2018 3:25 am

Janni wrote:
Sun Aug 12, 2018 3:11 am
catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists
You can try this in a terminal:

sudo chown -R $USER:$USER /home/me/.config/vice

If that doesn't help, you'll need to wait for someone else to come along.
¡uʍop ǝpısdn sı buıɥʇʎɹǝʌǝ os ɐıןɐɹʇsnɐ ɯoɹɟ ɯ,ı

Janni
Level 1
Level 1
Posts: 15
Joined: Fri Sep 11, 2015 4:36 pm
Location: Norway

Re: VICE 3.2 (Flatpak)

Post by Janni » Sun Aug 12, 2018 7:17 am

catweazel wrote:
Sun Aug 12, 2018 3:25 am
Janni wrote:
Sun Aug 12, 2018 3:11 am
catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists
You can try this in a terminal:

sudo chown -R $USER:$USER /home/me/.config/vice

If that doesn't help, you'll need to wait for someone else to come along.
Unfortunately that didn't help.
Thanks for your help anyway, I appreciate it.

User avatar
catweazel
Level 17
Level 17
Posts: 7770
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: VICE 3.2 (Flatpak)

Post by catweazel » Sun Aug 12, 2018 7:24 am

Janni wrote:
Sun Aug 12, 2018 7:17 am
Thanks for your help anyway, I appreciate it.
:)
¡uʍop ǝpısdn sı buıɥʇʎɹǝʌǝ os ɐıןɐɹʇsnɐ ɯoɹɟ ɯ,ı

User avatar
BG405
Level 7
Level 7
Posts: 1563
Joined: Fri Mar 11, 2016 3:09 pm
Location: England

Re: VICE 3.2 (Flatpak)

Post by BG405 » Sun Aug 19, 2018 4:27 pm

I notice that VICE .deb is version 2.4 in the repos for Mint 18.x (18.2 anyway, assuming the sources are the same for point releases) whereas it's at version 3.2-1 in the Manjaro "extra" repos, so I've installed on both systems & will check out the differences. :) It had eluded my attention that these projects would be revived along with the general interest in the Commodore (and other 8-bit) machines.

Wonder if it can now emulate something running EhBASIC (6502)? .. Probably not, but I AM looking for a 6502 simulator :mrgreen:

I'm going to give the FlatPak version a go later on both Mint 17.3 Cinnamon and Mint 18.2 KDE & see if the same issue occurs, or at least (hopefully) be able to see what went wrong on yours.
Dell Inspiron 1525 - LM17.3 CE 64-------------------Acer D255E 2GB - Manjaro KDE, LM17.3 KDE 32
Toshiba NB305 - Manjaro KDE------------------------K7S5A AMD 1.2GHz - LM17.3 Xfce 32 & WinXP-Pro
Acer Aspire E11 ES1-111M - LM18.2 KDE 64 ----Dell PII 350 64MB - Puppy 4.3 & Win98-SE

sclm
Level 1
Level 1
Posts: 1
Joined: Mon Dec 03, 2018 5:41 am

Re: VICE 3.2 (Flatpak)

Post by sclm » Mon Dec 03, 2018 6:16 am

Any news regarding this error?
The abovementioned guide is uneffective on my 64bit XFCE system :-(
The problem was also raised here:
https://sourceforge.net/p/vice-emu/bugs/1064/
https://sourceforge.net/p/vice-emu/bugs/1034/

It would be nice to maintain the latest build of the VICE through the Flapak,
otwerwise are still usable these howtos:
https://askubuntu.com/questions/357331/ ... or-to-work
https://ubuntuforums.org/showthread.php ... +commodore

Thanks for any help.

Post Reply

Return to “Software & Applications”